Page MenuHomeFreeBSD

libva update to 2.0.0, shlib bump to dependent ports and fix of two dependent ports
ClosedPublic

Authored by madpilot on Oct 22 2017, 9:39 PM.

Details

Summary

This patch updates libva and it's drivers to a new 2.0.0 version, which bumps the shlib version, breaks ABI and also has an API change.

The patch also simplifies the ports a little and fixes the DEBUG option when present in the ports I manage.

The multimedia/mpv and multimedia/gstreamer1-vaapi ports needed fixing to compile due to the API changes. The patches I used are taken from thee upstream repositories:

https://github.com/mpv-player/mpv/commit/2ecf240b1cd20875991a5b18efafbe799864ff7f
https://cgit.freedesktop.org/gstreamer/gstreamer-vaapi/commit/gst-libs/gst/vaapi/gstvaapiutils.c?id=777bba473e3ed1c7b8b7f7f0322892851c70dfd9

If I forgot some dependent port please report that to me so I can bump PORTREVISION there too.

Test Plan

I have tested all the ports I'm touching in my poudriere on head, 11.1 and 10.4 with success.

I have tested the libva port and drivers using vainfo with vlc on my PCs checking hardware features are actually used.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

madpilot created this revision.Oct 22 2017, 9:39 PM
madpilot updated this revision to Diff 34238.Oct 22 2017, 9:44 PM

Updated patch.

First patch was missing one patch file in gstreamer1-vaapi port.

cpm accepted this revision.Oct 22 2017, 9:45 PM
This revision is now accepted and ready to land.Oct 22 2017, 9:45 PM
cpm added a comment.Oct 22 2017, 9:49 PM

LGTM

Thanks for the heads up!

mat added inline comments.Nov 5 2017, 10:55 AM
multimedia/libva-utils/Makefile
30–31 ↗(On Diff #34238)

This is really, really wrong.

If one wants to enable debug, one can set either of:

OPTIONS_SET= DEBUG
OPTIONS_SET_FORCE= DEBUG

But don't change OPTIONS_DEFAULT from external variables.

madpilot planned changes to this revision.Nov 5 2017, 11:12 AM
madpilot added inline comments.
multimedia/libva-utils/Makefile
30–31 ↗(On Diff #34238)

I can see. I'll remove this stanza.

Thanks.

madpilot updated this revision to Diff 34822.Nov 5 2017, 11:18 AM

Removed wrong stanza modifying OPTIONS_DEFAULTS depending on external variable.

madpilot updated this revision to Diff 34872.Nov 7 2017, 10:41 AM

Update diff to latest ports tree snapshot.

madpilot updated this revision to Diff 35101.Nov 11 2017, 2:23 PM

Update patch to ports tree r453973

This revision was not accepted when it landed; it landed in state Needs Review.Dec 12 2017, 9:30 PM
Closed by commit rP456184: - Update libva to 2.0.0 (authored by madpilot). · Explain Why
This revision was automatically updated to reflect the committed changes.